Package org.pgpainless.signature.subpackets

# Class SignatureSubpacketsHelper

java.lang.Object
org.pgpainless.signature.subpackets.SignatureSubpacketsHelper

public class SignatureSubpacketsHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`SignatureSubpacketsHelper()`

## Method Summary

Modifier and Type
Method
Description
`static SignatureSubpackets`
`applyFrom(org.bouncycastle.openpgp.PGPSignatureSubpacketVector vector, SignatureSubpackets subpackets)`
`static org.bouncycastle.openpgp.PGPSignatureSubpacketGenerator`
`applyTo(SignatureSubpackets subpackets, org.bouncycastle.openpgp.PGPSignatureSubpacketGenerator generator)`
`static org.bouncycastle.openpgp.PGPSignatureSubpacketVector`
`toVector(RevocationSignatureSubpackets subpackets)`
`static org.bouncycastle.openpgp.PGPSignatureSubpacketVector`
`toVector(SignatureSubpackets subpackets)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SignatureSubpacketsHelper

public SignatureSubpacketsHelper()

## Method Details

### applyFrom

public static SignatureSubpackets applyFrom(org.bouncycastle.openpgp.PGPSignatureSubpacketVector vector, SignatureSubpackets subpackets)

### applyTo

public static org.bouncycastle.openpgp.PGPSignatureSubpacketGenerator applyTo(SignatureSubpackets subpackets, org.bouncycastle.openpgp.PGPSignatureSubpacketGenerator generator)

### toVector

public static org.bouncycastle.openpgp.PGPSignatureSubpacketVector toVector(SignatureSubpackets subpackets)

### toVector

public static org.bouncycastle.openpgp.PGPSignatureSubpacketVector toVector(RevocationSignatureSubpackets subpackets)